import Vue from 'vue';
import * as common from 'tree-component-episte';
export * from 'tree-component-episte';
export declare class Node<T> extends Vue {
    data: common.TreeData<T>;
    last: boolean;
    checkbox?: boolean;
    path: number[];
    draggable?: boolean;
    root: common.TreeData<T>[];
    zindex?: number;
    preid?: string;
    contextmenuVisible: boolean;
    contextmenuStyle: {
        'position': string;
        'left': string;
        'top': string;
        'z-index': number;
    };
    private hovered;
    private doubleClick;
    readonly nodeClassName: string;
    readonly anchorClassName: string;
    readonly checkboxClassName: string;
    readonly iconClassName: string;
    readonly oclClassName: string;
    readonly pathString: string;
    readonly hasMarker: boolean | undefined;
    readonly markerClassName: string;
    private readonly eventData;
    readonly contextmenuData: common.ContextMenuData<T>;
    readonly id: string | undefined;
    geChildPath(index: number): number[];
    hover(hovered: boolean): void;
    ontoggle(eventData?: common.EventData<T>): void;
    onchange(eventData?: common.EventData<T>): void;
    oncontextmenu(e: MouseEvent): boolean;
}
export declare class Tree<T> extends Vue {
    data: common.TreeData<T>[];
    checkbox?: boolean;
    draggable?: boolean;
    nodots?: boolean;
    size?: string;
    theme?: string;
    dropAllowed?: (dropData: common.DropData<T>) => boolean;
    zindex?: number;
    preid?: string;
    private dragTarget;
    private dropTarget;
    readonly rootClassName: string;
    readonly containerClassName: string;
    ontoggle(eventData: common.EventData<T>): void;
    onchange(eventData: common.EventData<T>): void;
    ondragstart(event: DragEvent): void;
    ondragend(event: DragEvent): void;
    ondragover(event: DragEvent): void;
    ondragenter(event: DragEvent): void;
    ondragleave(event: DragEvent): void;
    ondrop(event: DragEvent): void;
    private canDrop;
    private containsNode;
    private getAnchor;
}
